Redmine - Defect #6786

r4355 breaks tests for 1.0-stable branch
2010-11-01 15:36 - Holger Just

Status: Closed Start date:
Priority: High Due date:
Assignee: Jean-Philippe Lang % Done:
Category: Estimated time:

Target version:

Resolution: Fixed Affected version:

Description

r4355 (which is the merged r4354, based on #6766) kills the test suite.

This is because the version controller in 1.0 requires POST for the update action whereas the trunk uses PUT. The test was not

changed from the trunk version and thus breaks on 1.0-stable. See http:/ci.finn.de/builds/1-8-7_redmine-1-0_mysql/4355

The attached patch fixes the 1.0-stable branch.

Associated revisions

Revision 4356 - 2010-11-01 15:47 - Jean-Philippe Lang
Fixed a test broken by r4355 (#6786).

History

#1 - 2010-11-01 15:41 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Fix applied in r4356. Thanks.

Files
r4355-fix-testcase.diff 617 Bytes 2010-11-01 Holger Just
2025-05-08 1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/4355
https://www.redmine.org/projects/redmine/repository/svn/revisions/4354
https://www.redmine.org/issues/6766
http://ci.finn.de/builds/1-8-7_redmine-1-0_mysql/4355
https://www.redmine.org/projects/redmine/repository/svn/revisions/4356
http://www.tcpdf.org

